#include <curl/curl.h>
#include <iostream>
#include <vector>
#include "histogram.h"
#include "svg.h"
using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& in, bool prompt){
    size_t number_count;
    if (prompt == true) cerr << "Enter number_count: ";
    in >> number_count;

    Input in1;
    in1.numbers.resize(number_count);
    if (prompt == true) cerr << "Enter numbers: ";
    for (size_t i = 0; i < number_count; i++){
        in >> in1.numbers[i];
    }

    if (prompt == true) cerr << "Enter bin count: ";
    in >> in1.bin_count;

    return in1;
}

int
main(int argc, char* argv[])
{
    curl_global_init(CURL_GLOBAL_ALL);
    auto in = input_data(cin, false);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}
